#!/usr/bin/perl

use strict;
use warnings;

# Controlla se il numero corretto di argomenti è stato fornito
if (@ARGV != 1) {
    die "Usage: $0 <argument>\n";
}

# Parametri forniti da linea di comando
my $argument = $ARGV[0];

# Ciclo per eseguire il comando 1024 volte
for my $i (1..1000) {
    # Costruisci il percorso del file di log e del file di configurazione
    my $log_file = "./LOG/${argument}.log";
    my $conf_file = "./CONF/${argument}.conf";

    # Esegui il comando
    system("/usr/lib/news/bin/pullnews -c $conf_file -O -d 2 -F news.bofh.team -k 10 -l $log_file -x >> /var/spool/news/VARIE/GIGA/LOG/${argument}.txt 2>&1");
}
