#!/usr/bin/perl
#

# Apri il file in lettura
open my $input_file, '<', 'paganini.bofh.team-active-ordinato.txt' or die "Impossibile aprire il file: $!";

# Leggi il contenuto del file riga per riga
my @lines;
while (my $line = <$input_file>) {
    chomp $line;
    push @lines, $line;
}

# Chiudi il file
close $input_file;

# Definisci il pattern di espressione regolare per le righe da eliminare
my $pattern = qr/\.bin|\.dvdnordic\.|pedophil|\.bain|\.biana|\.biinaries|bina|\.bineries|\.binia|\.binries|\.cd\.image|\.images|\.mp3|music\.bin|\.pictures|porno\.images|\.warez/;

# Filtra le righe che non corrispondono al pattern
my @filtered_lines = grep { !/$pattern/ } @lines;

# Apri il file in scrittura
open my $output_file, '>', 'paganini.bofh.team-active-filtrato.txt' or die "Impossibile creare il file di output: $!";

# Scrivi le righe filtrate nel nuovo file
foreach my $line (@filtered_lines) {
    print $output_file $line . "\n";
}

# Chiudi il file di output
close $output_file;

print "Righe indesiderate rimosse con successo!\n";
